Kalshi

Kalshi Trades

Search trades on Kalshi using different filters including ticker and created time.

POST/v2/semantic/retrieve/parameterized

Query Parameters

tickerstring
Ticker symbol identifying the market outcome traded
Example:
"KXSOL15M-26MAR180730-30"
start_timestring
Filter trades in which the created time is after this timestamp (inclusive).
Example:
"1773589812"
end_timestring
Filter trades in which the created time is before this timestamp (inclusive).
Example:
"1774021812"

Response Fields

FieldTypeDescription
countIntegerNumber of shares/contracts traded in this transaction
created_timeString (ISO 8601)Timestamp when the trade was executed
no_priceIntegerPrice of the No outcome at the time of the trade
taker_sideStringSide taken by the taker in the trade (yes or no)
tickerStringTicker symbol identifying the market outcome traded
trade_idString (UUID)Unique identifier for the trade
yes_priceIntegerPrice of the Yes outcome at the time of the trade (typically in cents, 0–100)
Kalshi Trades
curl --request POST \
  --url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
  --header 'Authorization: Bearer YOUR_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "agent_id": 573,
  "params": {
    "ticker": "KXSOL15M-26MAR180730-30",
    "start_time": "1773589812",
    "end_time": "1774021812"
  },
  "pagination": {
    "limit": 10,
    "offset": 0
  },
  "formatter_config": {
    "format_type": "raw"
  }
}'
200Example response
{
  "timestamp": "",
  "params": {
    "end_time": "1774021812",
    "start_time": "1773589812",
    "ticker": "KXSOL15M-26MAR180730-30"
  },
  "pagination": {
    "limit": 10,
    "offset": 0,
    "has_more": true
  },
  "data": {
    "results": [
      {
        "count": 9,
        "created_time": "2026-03-18T11:29:25.354888Z",
        "no_price": 99.9,
        "taker_side": "yes",
        "ticker": "KXSOL15M-26MAR180730-30",
        "trade_id": "cba52037-21c4-6b04-6544-a2be4124d98e",
        "yes_price": 0.1
      },
      {
        "count": 200,
        "created_time": "2026-03-18T11:29:23.814603Z",
        "no_price": 99.9,
        "taker_side": "no",
        "ticker": "KXSOL15M-26MAR180730-30",
        "trade_id": "4143238d-eb74-75c4-3607-d1b2ea1f0abc",
        "yes_price": 0.1
      }
    ]
  }
}